{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/open_immo_ftp_credential/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/open_immo_ftp_credential/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_open_immo_ftp_credentials_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Externes Portal löschen, <i>{{ openImmoFtpCredential.getPortalName() }}</i></span>
        {{ form_widget(openImmoFtpCredentialDeleteForm.delete, {'label': 'LÖSCHEN', 'id': openImmoFtpCredentialDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Das externe Immobilienportal &raquo;{{ openImmoFtpCredential.getPortalName() }}&laquo; wird gelöscht.
            </h1>
            {% if exportedBuildingUnits != null and exportedBuildingUnits|length > 0 %}
                <div class="bg-danger p-4 text-white mb-3 mt-3">
                    <h2 class="fs-3 text-white">Achtung!</h2>
                    <p class="mb-0">
                        Laut der in LeAn® gespeicherten Historie sind aktuell noch Objekte auf dem externen Portal eingestellt.
                        Bitte beachten Sie, dass sie diese nach Löschung des Portals nicht mehr aus LeAn® per Open-Immo-Export löschen können.
                        Sie sollten für die untenstehenden Objekte daher zuerst manuell eine Löschung anstoßen oder diese direkt in der Benutzeroberfläche des externen Portals löschen.
                    </p>
                </div>
            {% endif %}
            <p>
                Um die Parameter zur Übertragung an das externe Portal endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">portal_{{ openImmoFtpCredential.getId() }}</span>
            </p>
            {{ form_start(openImmoFtpCredentialDeleteForm, {'attr': {'id': openImmoFtpCredentialDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/open_immo_ftp_credential/delete_form.html.twig' with {'form': openImmoFtpCredentialDeleteForm} only %}
            {{ form_row(openImmoFtpCredentialDeleteForm._token) }}
            {{ form_end(openImmoFtpCredentialDeleteForm, {'render_rest': false}) }}
        </div>
        {% if exportedBuildingUnits != null and exportedBuildingUnits|length > 0 %}
            <div class="mdc-card p-4 mb-4">
                <h4 class="fs-4 mb-3">Folgende Objekte könnten noch auf dem Portal online sein:</h4>
                {% include 'configuration/component/open_immo_ftp_credential/exported_building_unit_list_component.html.twig' with {
                    'idPrefix': 'exported_building_unit_',
                    'listItems': exportedBuildingUnits,
                    'showEditButton': true,
                    'massOperation': false,
                    'pagination': false,
                    'sortable': false
                } only %}
            </div>
        {% endif %}
    </div>
{% endblock %}
